# -*- encoding: utf-8 -*-
require File.expand_path('../lib/vmtools/version', __FILE__)

Gem::Specification.new do |gem|
  gem.authors       = ["Konstantin Lysenko"]
  gem.email         = ["konstantin@atalanta-systems.com"]
  gem.description = <<-EOF
  Util that (re)create chef cookbook testboxes inside Virtualbox VMs.
  It uses vagrant.
  EOF
  gem.summary       = %q{(re)create virtualbox testboxes for testing chef cookbooks}
  gem.license       = 'Apache 2.0'
  gem.licenses      = ['Apache 2.0']
  gem.homepage      = ""
  gem.files         = `git ls-files`.split($\)
  gem.files.reject! { |fn| fn.include? "TODO.md" }
  gem.files.reject! { |fn| fn.include? ".gitignore" }
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.name          = "vmtools"
  gem.require_paths = ["lib"]
  gem.version       = VMTools::VERSION
  gem.add_runtime_dependency "chef", ["~> 10.0"]
  gem.add_runtime_dependency "vagrant", ["~> 1.0.0"]
  gem.add_runtime_dependency "mixlib-cli", ["~> 1.2.0"]
  gem.add_runtime_dependency "mixlib-config", ["~> 1.1.0"]
end
